Description

even though I send

'{"host": {"operatingsystem_id": 21, "managed": false, "name": "ip188000.domain.ch", "ip": "188.142.144.17", "hostgroup_id": 53,

"mac": "00:17:3e:00:4e:4b", "architecture_id": 1, "build": "0", "ptable_id": 1}}'

host is created as managed

Would be cool if the logic reflected the managed:false item.

Associated revisions

Revision d076d573 - 11/21/2012 08:10 AM - Joseph Magen

This commit adds most of the functionality required for API v1

The overall goal was to extract the existing JSON response

overall controllers, and to move them to a seperate name space.

documentation was added to all requests (available under /apidoc)

this include same request and response generated using

APIPIE_RECORD=examples rake test:api

Also Fixes #1800, fixes #1419, fixes #981 and fixes #1774

whats missing:

1. Permissions checks for all new controllers

2. Nested routes (e.g. /hosts/id/reports)

3. running tests with oauth/basic_auth (instead of as_admin {get /})

History

#1 - 08/03/2012 07:37 AM - Steve Traylen

With the proposed patch from mailing list this is good and you can add hosts specifying the hostname and group only.

#2 - 08/03/2012 08:39 AM - Tomas Karasek

the patch from the mailing list by Ohad

diff --git a/app/controllers/hosts_controller.rb b/app/controllers/hosts_controller.rb

index 2de8015..7fe9852 100644

--- a/app/controllers/hosts_controller.rb

+++ b/app/controllers/hosts_controller.rb

@@ -84,7 +84,7 @@ class HostsController < ApplicationController

   def create

     @host = Host.new(params[:host])

-    @host.managed = true

+    @host.managed = true if params[:host][:managed].nil?

     forward_request_url

     if @host.save
#3 - 10/22/2012 09:06 AM - Nacho Barrientos

Hi,

Do you plan to merge this patch?

#4 - 10/22/2012 09:43 AM - Ohad Levy

- Target version set to 1.1

#5 - 11/13/2012 12:08 PM - Greg Sutcliffe

- Target version changed from 1.1 to Bug scrub

#6 - 11/15/2012 02:29 AM - Joseph Magen

- Assignee set to Joseph Magen

#7 - 11/15/2012 04:13 AM - Joseph Magen

- Status changed from New to Assigned

Fixed as part of pull request https://github.com/theforeman/foreman/pull/239

#8 - 11/15/2012 04:15 AM - Joseph Magen

- Status changed from Assigned to Closed

#9 - 11/15/2012 04:52 AM - Joseph Magen

- Status changed from Closed to Ready For Testing

#10 - 11/15/2012 12:15 PM - Sam Kottler

I'm going to mark this issue closed so we can get accurate numbers for how many issues got closed. Is this fix now included in the API v1 branch?

#11 - 11/15/2012 12:15 PM - Sam Kottler

- Status changed from Ready For Testing to Closed
